// タイムゾーンを考慮し、ローカルからUTCとなるよう日付を変換する関数
export const convertLocalToUTCDate = (date: Date) => {
  const MILLISECONDS_IN_A_MINUTE = 60 * 1000;

  const timezoneOffsetMinutes = date.getTimezoneOffset();
  const timezoneOffsetMilliseconds =
    timezoneOffsetMinutes * MILLISECONDS_IN_A_MINUTE;

  return new Date(date.getTime() + timezoneOffsetMilliseconds);
};
